import React__default from 'react';
import Modal from '@mui/material/Modal';
import CustomDropdownCrossIcon from '../../Icons/CustomDropdownCrossIcon/index.js';
import { ModalContainer, ModalDetailsSection, ModalHeader, ModalDetailsContainer, ModalDetailsWrapper, ModalPropertyWrapper, ModalValueWrapper } from './style.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var VehicleModal = function VehicleModal(props) {
  var details = props.details,
      map = props.map,
      header = props.header,
      open = props.open,
      onClose = props.onClose;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(Modal, {
    open: open,
    onClose: onClose
  }, /*#__PURE__*/React__default.createElement(ModalContainer, null, /*#__PURE__*/React__default.createElement(CustomDropdownCrossIcon, {
    onClick: onClose,
    className: "cross"
  }), /*#__PURE__*/React__default.createElement(ModalDetailsSection, null, /*#__PURE__*/React__default.createElement(ModalHeader, null, header), /*#__PURE__*/React__default.createElement(ModalDetailsContainer, null, details.map(function (detail, index) {
    return /*#__PURE__*/React__default.createElement(ModalDetailsWrapper, {
      key: index
    }, /*#__PURE__*/React__default.createElement(ModalPropertyWrapper, null, /*#__PURE__*/React__default.createElement("div", null, detail.property), " ", /*#__PURE__*/React__default.createElement("div", null, ":")), /*#__PURE__*/React__default.createElement(ModalValueWrapper, null, " ", detail.value));
  }))), /*#__PURE__*/React__default.createElement("img", {
    src: map,
    alt: "map"
  }))));
};

export { VehicleModal as default };
//# sourceMappingURL=index.js.map
